Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection
[Java] Class CachedField

    java.lang.Object
      groovy.lang.MetaProperty
          org.codehaus.groovy.reflection.CachedField

    public class CachedField
    extends MetaProperty

Field Summary
`Field` | `field`

Fields inherited from class MetaProperty
PROPERTY_SET_PREFIX, name, type

Constructor Summary
`CachedField(Field field)`

Method Summary
`int` | `getModifiers()`
`java.lang.Object` | `getProperty(java.lang.Object object)` @return the property of the given object
`boolean` | `isFinal()`
`boolean` | `isStatic()`
`void` | `setProperty(java.lang.Object object, java.lang.Object newValue)` Sets the property on the given object to the new value

Methods inherited from class MetaProperty
getGetterName, getModifiers, getName, getProperty, getSetterName, getType, setProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### field

    public final Field field

Constructor Detail

### CachedField

    public CachedField(Field field)

Method Detail

### getModifiers

    public int getModifiers()

### getProperty

    public java.lang.Object getProperty(java.lang.Object object)

  throws:
    RuntimeException if the property could not be evaluated
  Returns:
    the property of the given object

### isFinal

    public boolean isFinal()

### isStatic

    public boolean isStatic()

### setProperty

    public void setProperty(java.lang.Object object, java.lang.Object newValue)

  Sets the property on the given object to the new value
  throws:
    RuntimeException if the property could not be set
  Parameters:
    `object` - on which to set the property
    `newValue` - the new value of the property

Groovy Documentation